#!/bin/csh

echo "I am going to:"
echo "1. Copy ctc.py to /usr/local/bin"
echo "2. Copy white.gif, ctc_error.html and ctc.conf to /usr/local/etc"
echo "3. Add a line at the end of /etc/rc.d/rc.local to start CTC automatically"
echo "Press <enter> to continue, <ctrl-C> to abort"
set inp = $<
/bin/cp ctc.py /usr/local/bin
/bin/cp white.gif /usr/local/etc
/bin/cp ctc_error.html /usr/local/etc
/bin/cp ctc.conf /usr/local/etc

# Keep back-up copy
/bin/cp /etc/rc.d/rc.local /etc/rc.d/rc.local.old

# Remove previous entry if there is one...
/bin/cat /etc/rc.d/rc.local.old | grep -v ctc\.py > /etc/rc.d/rc.local
echo "/usr/local/bin/ctc.py /usr/local/etc/ctc.conf > /tmp/ctc.log 2>&1 &" >> /etc/rc.d/rc.local

echo "Don't forget to edit /usr/local/etc/ctc.conf if you haven't already!"
echo "You might also need to edit /usr/local/etc/ctc.py to change Python path"
echo "Then type: /usr/local/bin/ctc.py /usr/local/etc/ctc.conf >& /tmp/ctc.log &"
echo "(for bash:) /usr/local/bin/ctc.py /usr/local/etc/ctc.conf > /tmp/ctc.log 2>&1 &"
echo ""
echo "You're ready!"
echo ""
